import { Result, Button } from 'antd';
import { Link } from '@umijs/max';

/** 404页面 */
export default () => (
  <Result
    status="404"
    title="404"
    subTitle="很抱歉，您要访问的页面不存在！"
    extra={
      <Link to="/">
        <Button type="primary">返回首页</Button>
      </Link>
    }
  />
);
