// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 添加应用 POST /api/app/addApp */
export async function addApp(body: API.AddAppDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/app/addApp', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除应用 POST /api/app/deleteApp */
export async function deleteApp(body: API.DeleteAppDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/app/deleteApp', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询应用列表 POST /api/app/listApp */
export async function listApp(body: API.ListAppDto, options?: { [key: string]: any }) {
  return request<API.RPageVoListAppVo>('/api/app/listApp', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 重置应用密钥 POST /api/app/resetAppSecret */
export async function resetAppSecret(
  body: API.ResetAppSecretDto,
  options?: { [key: string]: any },
) {
  return request<API.RObject>('/api/app/resetAppSecret', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新应用 POST /api/app/updateApp */
export async function updateApp(body: API.UpdateAppDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/app/updateApp', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
