// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 添加应用sftp POST /api/appSftp/addAppSftp */
export async function addAppSftp(body: API.AddAppSftpDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/appSftp/addAppSftp', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除应用sftp POST /api/appSftp/deleteAppSftp */
export async function deleteAppSftp(body: API.DeleteAppSftpDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/appSftp/deleteAppSftp', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询应用sftp选项 POST /api/appSftp/getAppSftpOptions */
export async function getAppSftpOptions(
  body: API.GetAppSftpOptionsDto,
  options?: { [key: string]: any },
) {
  return request<API.RListGetAppSftpOptionsVo>('/api/appSftp/getAppSftpOptions', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询应用sftp列表 POST /api/appSftp/listAppSftp */
export async function listAppSftp(body: API.ListAppSftpDto, options?: { [key: string]: any }) {
  return request<API.RPageVoListAppSftpVo>('/api/appSftp/listAppSftp', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新应用sftp POST /api/appSftp/updateAppSftp */
export async function updateAppSftp(body: API.UpdateAppSftpDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/appSftp/updateAppSftp', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
