// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 批量撤回人与机器人会话中机器人消息 POST /api/open/batchRecallOtoMessages */
export async function batchRecallOtoMessages(
  body: API.BatchRecallOtoMessagesDto,
  options?: { [key: string]: any },
) {
  return request<API.RBatchRecallOtoMessagesVo>('/api/open/batchRecallOtoMessages', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 机器人批量发送文件类型消息 POST /api/open/batchSendOtoSampleFile */
export async function batchSendOtoSampleFile(
  body: API.BatchSendOtoSampleFileDto,
  options?: { [key: string]: any },
) {
  return request<API.RBatchSendVo>('/api/open/batchSendOtoSampleFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 机器人批量发送图片类型消息 POST /api/open/batchSendOtoSampleImageMsg */
export async function batchSendOtoSampleImageMsg(
  body: API.BatchSendOtoSampleImageMsgDto,
  options?: { [key: string]: any },
) {
  return request<API.RBatchSendVo>('/api/open/batchSendOtoSampleImageMsg', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 机器人批量发送Markdown类型消息 POST /api/open/batchSendOtoSampleMarkdown */
export async function batchSendOtoSampleMarkdown(
  body: API.BatchSendSampleMarkdownDto,
  options?: { [key: string]: any },
) {
  return request<API.RBatchSendVo>('/api/open/batchSendOtoSampleMarkdown', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 机器人批量发送文本类型消息 POST /api/open/batchSendOtoSampleText */
export async function batchSendOtoSampleText(
  body: API.BatchSendSampleTextDto,
  options?: { [key: string]: any },
) {
  return request<API.RBatchSendVo>('/api/open/batchSendOtoSampleText', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 根据手机号获取用户的userId POST /api/open/getUserIdByMobile */
export async function getUserIdByMobile(
  body: API.GetUserIdByMobileDto,
  options?: { [key: string]: any },
) {
  return request<API.RGetUserIdByMobileVo>('/api/open/getUserIdByMobile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 机器人发送群聊文件类型消息 POST /api/open/groupSendSampleFile */
export async function groupSendSampleFile(
  body: API.GroupSendSampleFileDto,
  options?: { [key: string]: any },
) {
  return request<API.RGroupSendVo>('/api/open/groupSendSampleFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 机器人发送群聊图片类型消息 POST /api/open/groupSendSampleImageMsg */
export async function groupSendSampleImageMsg(
  body: API.GroupSendSampleImageMsgDto,
  options?: { [key: string]: any },
) {
  return request<API.RGroupSendVo>('/api/open/groupSendSampleImageMsg', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 机器人发送群聊Markdown类型消息 POST /api/open/groupSendSampleMarkdown */
export async function groupSendSampleMarkdown(
  body: API.GroupSendSampleMarkdownDto,
  options?: { [key: string]: any },
) {
  return request<API.RGroupSendVo>('/api/open/groupSendSampleMarkdown', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 机器人发送群聊文本类型消息 POST /api/open/groupSendSampleText */
export async function groupSendSampleText(
  body: API.GroupSendSampleTextDto,
  options?: { [key: string]: any },
) {
  return request<API.RGroupSendVo>('/api/open/groupSendSampleText', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 企业机器人撤回内部群消息 POST /api/open/recallGroupMessages */
export async function recallGroupMessages(
  body: API.RecallGroupMessagesDto,
  options?: { [key: string]: any },
) {
  return request<API.RRecallGroupMessagesVo>('/api/open/recallGroupMessages', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 机器人通过sftp下载文件并批量发送文件类型消息 POST /api/open/sftpBatchSendOtoSampleFile */
export async function sftpBatchSendOtoSampleFile(
  body: API.SftpBatchSendOtoSampleFileDto,
  options?: { [key: string]: any },
) {
  return request<API.RBatchSendVo>('/api/open/sftpBatchSendOtoSampleFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 机器人通过sftp下载图片并批量发送图片类型消息 POST /api/open/sftpBatchSendOtoSampleImageMsg */
export async function sftpBatchSendOtoSampleImageMsg(
  body: API.SftpBatchSendOtoSampleImageMsgDto,
  options?: { [key: string]: any },
) {
  return request<API.RBatchSendVo>('/api/open/sftpBatchSendOtoSampleImageMsg', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 机器人通过sftp下载文件并发送群聊文件类型消息 POST /api/open/sftpGroupSendSampleFile */
export async function sftpGroupSendSampleFile(
  body: API.SftpGroupSendSampleFileDto,
  options?: { [key: string]: any },
) {
  return request<API.RGroupSendVo>('/api/open/sftpGroupSendSampleFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 机器人通过sftp下载图片并发送群聊图片类型消息 POST /api/open/sftpGroupSendSampleImageMsg */
export async function sftpGroupSendSampleImageMsg(
  body: API.SftpGroupSendSampleImageMsgDto,
  options?: { [key: string]: any },
) {
  return request<API.RGroupSendVo>('/api/open/sftpGroupSendSampleImageMsg', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 上传媒体文件 POST /api/open/upload */
export async function upload(
  body: {
    /** 机器人的编码 base64 */
    robotCode?: string;
  },
  options?: { [key: string]: any },
) {
  return request<API.RUploadVo>('/api/open/upload', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
