// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 添加机器人 POST /api/robot/addRobot */
export async function addRobot(body: API.AddRobotDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/robot/addRobot', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除机器人 POST /api/robot/deleteRobot */
export async function deleteRobot(body: API.DeleteRobotDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/robot/deleteRobot', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询机器人列表 POST /api/robot/listRobot */
export async function listRobot(body: API.ListRobotDto, options?: { [key: string]: any }) {
  return request<API.RPageVoListRobotVo>('/api/robot/listRobot', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新机器人 POST /api/robot/updateRobot */
export async function updateRobot(body: API.UpdateRobotDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/robot/updateRobot', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
