// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 添加应用机器人 POST /api/appRobot/addAppRobot */
export async function addAppRobot(body: API.AddAppRobotDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/appRobot/addAppRobot', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除应用机器人 POST /api/appRobot/deleteAppRobot */
export async function deleteAppRobot(
  body: API.DeleteAppRobotDto,
  options?: { [key: string]: any },
) {
  return request<API.RObject>('/api/appRobot/deleteAppRobot', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询应用机器人选项 POST /api/appRobot/getAppRobotOptions */
export async function getAppRobotOptions(
  body: API.GetAppRobotOptionsDto,
  options?: { [key: string]: any },
) {
  return request<API.RListGetAppRobotOptionsVo>('/api/appRobot/getAppRobotOptions', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询应用机器人列表 POST /api/appRobot/listAppRobot */
export async function listAppRobot(body: API.ListAppRobotDto, options?: { [key: string]: any }) {
  return request<API.RPageVoListAppRobotVo>('/api/appRobot/listAppRobot', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询可添加的机器人列表 POST /api/appRobot/listAvailableRobot */
export async function listAvailableRobot(
  body: API.ListAvailableRobotDto,
  options?: { [key: string]: any },
) {
  return request<API.RPageVoListAvailableRobotVo>('/api/appRobot/listAvailableRobot', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
