// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 添加应用机器人命令 POST /api/appRobotCommand/addAppRobotCommand */
export async function addAppRobotCommand(
  body: API.AddAppRobotCommandDto,
  options?: { [key: string]: any },
) {
  return request<API.RObject>('/api/appRobotCommand/addAppRobotCommand', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除应用机器人命令 POST /api/appRobotCommand/deleteAppRobotCommand */
export async function deleteAppRobotCommand(
  body: API.DeleteAppRobotCommandDto,
  options?: { [key: string]: any },
) {
  return request<API.RObject>('/api/appRobotCommand/deleteAppRobotCommand', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询应用机器人命令列表 POST /api/appRobotCommand/listAppRobotCommand */
export async function listAppRobotCommand(
  body: API.ListAppRobotCommandDto,
  options?: { [key: string]: any },
) {
  return request<API.RPageVoListAppRobotCommandVo>('/api/appRobotCommand/listAppRobotCommand', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新应用机器人命令 POST /api/appRobotCommand/updateAppRobotCommand */
export async function updateAppRobotCommand(
  body: API.UpdateAppRobotCommandDto,
  options?: { [key: string]: any },
) {
  return request<API.RObject>('/api/appRobotCommand/updateAppRobotCommand', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
