// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 添加应用任务 POST /api/appTask/addAppTask */
export async function addAppTask(body: API.AddAppTaskDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/appTask/addAppTask', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除应用任务 POST /api/appTask/deleteAppTask */
export async function deleteAppTask(body: API.DeleteAppTaskDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/appTask/deleteAppTask', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 启用应用任务 POST /api/appTask/enableAppTask */
export async function enableAppTask(body: API.EnableAppTaskDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/appTask/enableAppTask', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询应用任务列表 POST /api/appTask/listAppTask */
export async function listAppTask(body: API.ListAppTaskDto, options?: { [key: string]: any }) {
  return request<API.RPageVoListAppTaskVo>('/api/appTask/listAppTask', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询应用任务日志列表 POST /api/appTask/listAppTaskLog */
export async function listAppTaskLog(
  body: API.ListAppTaskLogDto,
  options?: { [key: string]: any },
) {
  return request<API.RPageVoAppTaskLogPo>('/api/appTask/listAppTaskLog', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 执行应用任务 POST /api/appTask/runAppTask */
export async function runAppTask(body: API.RunAppTaskDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/appTask/runAppTask', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 停止应用任务 POST /api/appTask/stopAppTask */
export async function stopAppTask(body: API.StopAppTaskDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/appTask/stopAppTask', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新应用任务 POST /api/appTask/updateAppTask */
export async function updateAppTask(body: API.UpdateAppTaskDto, options?: { [key: string]: any }) {
  return request<API.RObject>('/api/appTask/updateAppTask', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
