// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 登录 POST /api/cms/login */
export async function login(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.loginParams,
  options?: { [key: string]: any },
) {
  return request<API.RLoginVo>('/api/cms/login', {
    method: 'POST',
    params: {
      ...params,
      dto: undefined,
      ...params['dto'],
    },
    ...(options || {}),
  });
}

/** 登出 POST /api/cms/logout */
export async function logout(options?: { [key: string]: any }) {
  return request<API.RObject>('/api/cms/logout', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 获取当前用户信息 POST /api/cms/queryCurrentUser */
export async function queryCurrentUser(options?: { [key: string]: any }) {
  return request<API.RLoginVo>('/api/cms/queryCurrentUser', {
    method: 'POST',
    ...(options || {}),
  });
}
